打印

lnmp1.3离线安装memcached,找不到memcached安装包

lnmp1.3离线安装memcached,找不到memcached安装包

我先安装了lnmp1.3,已经安装了mysql 5.6.29,php 7.0.7然后再离线安装memecached,安装的是php-memcache,
Which memcached php extension do you choose:
Install php-memcache,(Discuz x) please enter: 1
Install php-memcached, please enter: 2
Enter 1 or 2 (Default 1): 1

但是安装报错:
Install memcached...
Notice: memcached-1.4.25.tar.gz not found!!!download now...

发现是找不到文件,但我看src下面有1.4.7这个版本
memcache-3.0.8.tgz
memcached-1.4.7.tar.gz
memcached-2.2.0.tgz

为什么lnmp包里带的memcached安装包不匹配?
然后我手动将1.4.7的这个文件的名称改为1.4.25,但安装时还是出错
Install memcached...
memcached-1.4.25.tar.gz [found]
Uncompress memcached-1.4.25.tar.gz...
cd memcached-1.4.25...
include/main.sh: line 340: cd: memcached-1.4.25: No such file or directory
include/memcached.sh: line 106: ./configure: No such file or directory
make: *** No targets specified and no makefile found.  Stop.
useradd: user 'nobody' already exists
Add memcached service at system startup...
Install memcache php extension...
Cloning into 'pecl-memcache'...
fatal: unable to access 'https://github.com/websupport-sk/pecl-memcache.git/': Could not resolve host: github.com; Unknown error
include/memcached.sh: line 10: cd: pecl-memcache: No such file or directory
Cannot find config.m4.
Make sure that you run '/usr/local/php/bin/phpize' in the top level source directory of the module

include/memcached.sh: line 16: ./configure: No such file or directory
make: *** No targets specified and no makefile found.  Stop.
Copy Memcached PHP Test file...
Restarting php-fpm......
Gracefully shutting down php-fpm . done
Starting php-fpm [03-Aug-2017 16:55:53] NOTICE: PHP message: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/php/lib/php/extensions/no-debug-non-zts-20151012/memcache.so' - /usr/local/php/lib/php/extensions/no-debug-non-zts-20151012/memcache.so: cannot open shared object file: No such file or directory in Unknown on line 0
done
The service command supports only basic LSB actions (start, stop, restart, try-restart, reload, force-reload, status). For other actions, please try to use systemctl.
Starting Memcached...
Starting memcached:  done
Memcached install failed!

TOP

你自己改成其他版本需要自己下载指定的版本到安装包 src 目录下
1.3时还没有正式版的php-memcache扩展,是要上github上下载的连不上网时肯定无法安装,要装只能改代码,并下载好放到src 目录下

TOP

嗯,谢谢,lnmp是不是也不支持离线安装

TOP

回复 3# 的帖子

不能,安装需求里有说明

TOP